# Class ModelXPathEvaluator

java.lang.Object
org.eclipse.e4.ui.model.ModelXPathEvaluator

public class ModelXPathEvaluator extends Object

## Constructor Summary

Constructors
Constructor
Description
`ModelXPathEvaluator()`

## Method Summary

Modifier and Type
Method
Description
`static <T> Stream<T>`
`findMatchingElements(MApplicationElement searchRoot, String xPath, Class<T> clazz)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelXPathEvaluator

public ModelXPathEvaluator()

## Method Details

### findMatchingElements

public static <T> Stream<T> findMatchingElements(MApplicationElement searchRoot, String xPath, Class<T> clazz)